import request from "@/service";

export default {
  //ERP获取用户消息统计列表
  getUserMsgStat: (data) => {
    return request({
      url: "/api/aschat/user/stat",
      method: "POST",
      data,
    });
  },
  //ERP获取聊天记录
  getMessageList: (data) => {
    return request({
      url: "/api/aschat/message/list",
      method: "POST",
      data,
    });
  },
  //客服聊天-发送消息
  sendNewMessage: (data) => {
    return request({
      url: "/api/aschat/message/new",
      method: "POST",
      data,
    });
  },
  //客服聊天-语音转文字
  voiceToText: (data) => {
    return request({
      url: "/api/aschat/voicetotext",
      method: "POST",
      data,
    });
  },
  //客服聊天-获取画家信息
  getArtistInfo: (data) => {
    return request({
      url: "/api/aschat/artistDetail",
      method: "POST",
      data,
    });
  },
  //获取画家搜索结果列表
  getArtistSearchResultList: (data) => {
    return request({
      url: "/api/user/view/list/get",
      method: "POST",
      data,
    });
  },
};
